gdjs.Untitled_32sceneCode = {};
gdjs.Untitled_32sceneCode.GDRollingNeroObjects1= [];
gdjs.Untitled_32sceneCode.GDRollingNeroObjects2= [];
gdjs.Untitled_32sceneCode.GDRollingNeroObjects3= [];
gdjs.Untitled_32sceneCode.GDIndustrialPlatformObjects1= [];
gdjs.Untitled_32sceneCode.GDIndustrialPlatformObjects2= [];
gdjs.Untitled_32sceneCode.GDIndustrialPlatformObjects3= [];
gdjs.Untitled_32sceneCode.GDNewSpriteObjects1= [];
gdjs.Untitled_32sceneCode.GDNewSpriteObjects2= [];
gdjs.Untitled_32sceneCode.GDNewSpriteObjects3= [];
gdjs.Untitled_32sceneCode.GDNewSprite2Objects1= [];
gdjs.Untitled_32sceneCode.GDNewSprite2Objects2= [];
gdjs.Untitled_32sceneCode.GDNewSprite2Objects3= [];
gdjs.Untitled_32sceneCode.GDNewSprite3Objects1= [];
gdjs.Untitled_32sceneCode.GDNewSprite3Objects2= [];
gdjs.Untitled_32sceneCode.GDNewSprite3Objects3= [];
gdjs.Untitled_32sceneCode.GDCoinObjects1= [];
gdjs.Untitled_32sceneCode.GDCoinObjects2= [];
gdjs.Untitled_32sceneCode.GDCoinObjects3= [];
gdjs.Untitled_32sceneCode.GDNewSprite4Objects1= [];
gdjs.Untitled_32sceneCode.GDNewSprite4Objects2= [];
gdjs.Untitled_32sceneCode.GDNewSprite4Objects3= [];
gdjs.Untitled_32sceneCode.GDNewSprite5Objects1= [];
gdjs.Untitled_32sceneCode.GDNewSprite5Objects2= [];
gdjs.Untitled_32sceneCode.GDNewSprite5Objects3= [];
gdjs.Untitled_32sceneCode.GDNewTextObjects1= [];
gdjs.Untitled_32sceneCode.GDNewTextObjects2= [];
gdjs.Untitled_32sceneCode.GDNewTextObjects3= [];
gdjs.Untitled_32sceneCode.GDCat5Objects1= [];
gdjs.Untitled_32sceneCode.GDCat5Objects2= [];
gdjs.Untitled_32sceneCode.GDCat5Objects3= [];
gdjs.Untitled_32sceneCode.GDGreenButtonObjects1= [];
gdjs.Untitled_32sceneCode.GDGreenButtonObjects2= [];
gdjs.Untitled_32sceneCode.GDGreenButtonObjects3= [];
gdjs.Untitled_32sceneCode.GDRedButtonObjects1= [];
gdjs.Untitled_32sceneCode.GDRedButtonObjects2= [];
gdjs.Untitled_32sceneCode.GDRedButtonObjects3= [];
gdjs.Untitled_32sceneCode.GDTransparentButtonWithWhiteYellowBorderObjects1= [];
gdjs.Untitled_32sceneCode.GDTransparentButtonWithWhiteYellowBorderObjects2= [];
gdjs.Untitled_32sceneCode.GDTransparentButtonWithWhiteYellowBorderObjects3= [];


gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDRollingNeroObjects1Objects = Hashtable.newFrom({"RollingNero": gdjs.Untitled_32sceneCode.GDRollingNeroObjects1});
gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDIndustrialPlatformObjects1Objects = Hashtable.newFrom({"IndustrialPlatform": gdjs.Untitled_32sceneCode.GDIndustrialPlatformObjects1});
gdjs.Untitled_32sceneCode.eventsList0 = function(runtimeScene, asyncObjectsList) {

{


let isConditionTrue_0 = false;
{
{gdjs.evtTools.runtimeScene.pushScene(runtimeScene, "Untitled scene");
}}

}


};gdjs.Untitled_32sceneCode.asyncCallback10464972 = function (runtimeScene, asyncObjectsList) {

{ //Subevents
gdjs.Untitled_32sceneCode.eventsList0(runtimeScene, asyncObjectsList);} //End of subevents
}
gdjs.Untitled_32sceneCode.eventsList1 = function(runtimeScene) {

{


{
{
const asyncObjectsList = new gdjs.LongLivedObjectsList();
runtimeScene.getAsyncTasksManager().addTask(gdjs.evtTools.runtimeScene.wait(2), (runtimeScene) => (gdjs.Untitled_32sceneCode.asyncCallback10464972(runtimeScene, asyncObjectsList)));
}
}

}


};gdjs.Untitled_32sceneCode.eventsList2 = function(runtimeScene) {

{


let isConditionTrue_0 = false;
{

{ //Subevents
gdjs.Untitled_32sceneCode.eventsList1(runtimeScene);} //End of subevents
}

}


};gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDNewSprite3Objects1Objects = Hashtable.newFrom({"NewSprite3": gdjs.Untitled_32sceneCode.GDNewSprite3Objects1});
gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDIndustrialPlatformObjects1Objects = Hashtable.newFrom({"IndustrialPlatform": gdjs.Untitled_32sceneCode.GDIndustrialPlatformObjects1});
gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDNewSprite5Objects1Objects = Hashtable.newFrom({"NewSprite5": gdjs.Untitled_32sceneCode.GDNewSprite5Objects1});
gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDNewSprite3Objects1Objects = Hashtable.newFrom({"NewSprite3": gdjs.Untitled_32sceneCode.GDNewSprite3Objects1});
gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDCoinObjects1Objects = Hashtable.newFrom({"Coin": gdjs.Untitled_32sceneCode.GDCoinObjects1});
gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDRollingNeroObjects1Objects = Hashtable.newFrom({"RollingNero": gdjs.Untitled_32sceneCode.GDRollingNeroObjects1});
gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDCoinObjects1Objects = Hashtable.newFrom({"Coin": gdjs.Untitled_32sceneCode.GDCoinObjects1});
gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDCoinObjects1Objects = Hashtable.newFrom({"Coin": gdjs.Untitled_32sceneCode.GDCoinObjects1});
gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDIndustrialPlatformObjects1Objects = Hashtable.newFrom({"IndustrialPlatform": gdjs.Untitled_32sceneCode.GDIndustrialPlatformObjects1});
gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDCoinObjects1Objects = Hashtable.newFrom({"Coin": gdjs.Untitled_32sceneCode.GDCoinObjects1});
gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDNewSprite5Objects1Objects = Hashtable.newFrom({"NewSprite5": gdjs.Untitled_32sceneCode.GDNewSprite5Objects1});
gdjs.Untitled_32sceneCode.eventsList3 = function(runtimeScene) {

{


let isConditionTrue_0 = false;
isConditionTrue_0 = false;
isConditionTrue_0 = gdjs.evtTools.runtimeScene.sceneJustBegins(runtimeScene);
if (isConditionTrue_0) {
gdjs.copyArray(runtimeScene.getObjects("GreenButton"), gdjs.Untitled_32sceneCode.GDGreenButtonObjects1);
gdjs.copyArray(runtimeScene.getObjects("RedButton"), gdjs.Untitled_32sceneCode.GDRedButtonObjects1);
gdjs.copyArray(runtimeScene.getObjects("TransparentButtonWithWhiteYellowBorder"), gdjs.Untitled_32sceneCode.GDTransparentButtonWithWhiteYellowBorderObjects1);
{gdjs.evtTools.runtimeScene.resetTimer(runtimeScene, "Coin");
}{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDGreenButtonObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDGreenButtonObjects1[i].hide();
}
}{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDRedButtonObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDRedButtonObjects1[i].hide();
}
}{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDTransparentButtonWithWhiteYellowBorderObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDTransparentButtonWithWhiteYellowBorderObjects1[i].hide();
}
}}

}


{


let isConditionTrue_0 = false;
isConditionTrue_0 = false;
isConditionTrue_0 = gdjs.evtTools.input.isMouseButtonPressed(runtimeScene, "Left");
if (isConditionTrue_0) {
gdjs.copyArray(runtimeScene.getObjects("RollingNero"), gdjs.Untitled_32sceneCode.GDRollingNeroObjects1);
{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDRollingNeroObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDRollingNeroObjects1[i].addForceTowardPosition(gdjs.evtTools.input.getCursorX(runtimeScene, "", 0), gdjs.evtTools.input.getCursorY(runtimeScene, "", 0), 20, 1);
}
}}

}


{

gdjs.copyArray(runtimeScene.getObjects("IndustrialPlatform"), gdjs.Untitled_32sceneCode.GDIndustrialPlatformObjects1);
gdjs.copyArray(runtimeScene.getObjects("RollingNero"), gdjs.Untitled_32sceneCode.GDRollingNeroObjects1);

let isConditionTrue_0 = false;
isConditionTrue_0 = false;
isConditionTrue_0 = gdjs.evtTools.object.hitBoxesCollisionTest(gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDRollingNeroObjects1Objects, gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDIndustrialPlatformObjects1Objects, false, runtimeScene, false);
if (isConditionTrue_0) {
/* Reuse gdjs.Untitled_32sceneCode.GDRollingNeroObjects1 */
{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDRollingNeroObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDRollingNeroObjects1[i].deleteFromScene(runtimeScene);
}
}
{ //Subevents
gdjs.Untitled_32sceneCode.eventsList2(runtimeScene);} //End of subevents
}

}


{


let isConditionTrue_0 = false;
{
gdjs.copyArray(runtimeScene.getObjects("NewSprite2"), gdjs.Untitled_32sceneCode.GDNewSprite2Objects1);
gdjs.copyArray(runtimeScene.getObjects("NewSprite3"), gdjs.Untitled_32sceneCode.GDNewSprite3Objects1);
{gdjs.evtTools.camera.centerCamera(runtimeScene, (gdjs.Untitled_32sceneCode.GDNewSprite2Objects1.length !== 0 ? gdjs.Untitled_32sceneCode.GDNewSprite2Objects1[0] : null), true, "", 0);
}{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDNewSprite2Objects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDNewSprite2Objects1[i].addForce(90, 0, 0);
}
}{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDNewSprite3Objects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDNewSprite3Objects1[i].addForce(90, 0, 0);
}
}}

}


{

gdjs.copyArray(runtimeScene.getObjects("IndustrialPlatform"), gdjs.Untitled_32sceneCode.GDIndustrialPlatformObjects1);
gdjs.copyArray(runtimeScene.getObjects("NewSprite3"), gdjs.Untitled_32sceneCode.GDNewSprite3Objects1);

let isConditionTrue_0 = false;
isConditionTrue_0 = false;
isConditionTrue_0 = gdjs.evtTools.object.hitBoxesCollisionTest(gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDNewSprite3Objects1Objects, gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDIndustrialPlatformObjects1Objects, false, runtimeScene, false);
if (isConditionTrue_0) {
/* Reuse gdjs.Untitled_32sceneCode.GDIndustrialPlatformObjects1 */
{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDIndustrialPlatformObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDIndustrialPlatformObjects1[i].setX(gdjs.Untitled_32sceneCode.GDIndustrialPlatformObjects1[i].getX() + (3840));
}
}}

}


{

gdjs.copyArray(runtimeScene.getObjects("NewSprite3"), gdjs.Untitled_32sceneCode.GDNewSprite3Objects1);
gdjs.copyArray(runtimeScene.getObjects("NewSprite5"), gdjs.Untitled_32sceneCode.GDNewSprite5Objects1);

let isConditionTrue_0 = false;
isConditionTrue_0 = false;
isConditionTrue_0 = gdjs.evtTools.object.hitBoxesCollisionTest(gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDNewSprite5Objects1Objects, gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDNewSprite3Objects1Objects, false, runtimeScene, false);
if (isConditionTrue_0) {
/* Reuse gdjs.Untitled_32sceneCode.GDNewSprite5Objects1 */
{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDNewSprite5Objects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDNewSprite5Objects1[i].setX(gdjs.Untitled_32sceneCode.GDNewSprite5Objects1[i].getX() + (3840));
}
}}

}


{


let isConditionTrue_0 = false;
isConditionTrue_0 = false;
isConditionTrue_0 = gdjs.evtTools.runtimeScene.getTimerElapsedTimeInSecondsOrNaN(runtimeScene, "Coin") > 3;
if (isConditionTrue_0) {
gdjs.copyArray(runtimeScene.getObjects("NewSprite2"), gdjs.Untitled_32sceneCode.GDNewSprite2Objects1);
gdjs.Untitled_32sceneCode.GDCoinObjects1.length = 0;

{gdjs.evtTools.object.createObjectOnScene((typeof eventsFunctionContext !== 'undefined' ? eventsFunctionContext : runtimeScene), gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDCoinObjects1Objects, (( gdjs.Untitled_32sceneCode.GDNewSprite2Objects1.length === 0 ) ? 0 :gdjs.Untitled_32sceneCode.GDNewSprite2Objects1[0].getPointX("")) + 1280, gdjs.randomInRange(0, 680), "");
}{gdjs.evtTools.runtimeScene.resetTimer(runtimeScene, "Coin");
}}

}


{

gdjs.copyArray(runtimeScene.getObjects("Coin"), gdjs.Untitled_32sceneCode.GDCoinObjects1);
gdjs.copyArray(runtimeScene.getObjects("RollingNero"), gdjs.Untitled_32sceneCode.GDRollingNeroObjects1);

let isConditionTrue_0 = false;
isConditionTrue_0 = false;
isConditionTrue_0 = gdjs.evtTools.object.hitBoxesCollisionTest(gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDRollingNeroObjects1Objects, gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDCoinObjects1Objects, false, runtimeScene, false);
if (isConditionTrue_0) {
/* Reuse gdjs.Untitled_32sceneCode.GDCoinObjects1 */
{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDCoinObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDCoinObjects1[i].deleteFromScene(runtimeScene);
}
}{runtimeScene.getGame().getVariables().get("T9").add(1);
}}

}


{

gdjs.copyArray(runtimeScene.getObjects("Coin"), gdjs.Untitled_32sceneCode.GDCoinObjects1);
gdjs.copyArray(runtimeScene.getObjects("IndustrialPlatform"), gdjs.Untitled_32sceneCode.GDIndustrialPlatformObjects1);

let isConditionTrue_0 = false;
isConditionTrue_0 = false;
isConditionTrue_0 = gdjs.evtTools.object.hitBoxesCollisionTest(gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDCoinObjects1Objects, gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDIndustrialPlatformObjects1Objects, false, runtimeScene, false);
if (isConditionTrue_0) {
/* Reuse gdjs.Untitled_32sceneCode.GDCoinObjects1 */
{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDCoinObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDCoinObjects1[i].deleteFromScene(runtimeScene);
}
}}

}


{

gdjs.copyArray(runtimeScene.getObjects("Coin"), gdjs.Untitled_32sceneCode.GDCoinObjects1);
gdjs.copyArray(runtimeScene.getObjects("NewSprite5"), gdjs.Untitled_32sceneCode.GDNewSprite5Objects1);

let isConditionTrue_0 = false;
isConditionTrue_0 = false;
isConditionTrue_0 = gdjs.evtTools.object.hitBoxesCollisionTest(gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDCoinObjects1Objects, gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDNewSprite5Objects1Objects, false, runtimeScene, false);
if (isConditionTrue_0) {
/* Reuse gdjs.Untitled_32sceneCode.GDCoinObjects1 */
{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDCoinObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDCoinObjects1[i].deleteFromScene(runtimeScene);
}
}}

}


{


let isConditionTrue_0 = false;
{
gdjs.copyArray(runtimeScene.getObjects("NewText"), gdjs.Untitled_32sceneCode.GDNewTextObjects1);
{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDNewTextObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDNewTextObjects1[i].setString(gdjs.evtTools.common.toString(gdjs.evtTools.variable.getVariableNumber(runtimeScene.getGame().getVariables().get("T9"))));
}
}}

}


{


let isConditionTrue_0 = false;
isConditionTrue_0 = false;
isConditionTrue_0 = gdjs.evtTools.variable.getVariableNumber(runtimeScene.getGame().getVariables().get("T9")) >= 50;
if (isConditionTrue_0) {
gdjs.copyArray(runtimeScene.getObjects("GreenButton"), gdjs.Untitled_32sceneCode.GDGreenButtonObjects1);
{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDGreenButtonObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDGreenButtonObjects1[i].hide(false);
}
}}

}


{


let isConditionTrue_0 = false;
isConditionTrue_0 = false;
isConditionTrue_0 = gdjs.evtTools.variable.getVariableNumber(runtimeScene.getGame().getVariables().get("T9")) >= 100;
if (isConditionTrue_0) {
gdjs.copyArray(runtimeScene.getObjects("RedButton"), gdjs.Untitled_32sceneCode.GDRedButtonObjects1);
{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDRedButtonObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDRedButtonObjects1[i].hide(false);
}
}}

}


{


let isConditionTrue_0 = false;
isConditionTrue_0 = false;
isConditionTrue_0 = gdjs.evtTools.variable.getVariableNumber(runtimeScene.getGame().getVariables().get("T9")) >= 1000;
if (isConditionTrue_0) {
gdjs.copyArray(runtimeScene.getObjects("TransparentButtonWithWhiteYellowBorder"), gdjs.Untitled_32sceneCode.GDTransparentButtonWithWhiteYellowBorderObjects1);
{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDTransparentButtonWithWhiteYellowBorderObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDTransparentButtonWithWhiteYellowBorderObjects1[i].hide(false);
}
}}

}


{

gdjs.copyArray(runtimeScene.getObjects("GreenButton"), gdjs.Untitled_32sceneCode.GDGreenButtonObjects1);

let isConditionTrue_0 = false;
isConditionTrue_0 = false;
for (var i = 0, k = 0, l = gdjs.Untitled_32sceneCode.GDGreenButtonObjects1.length;i<l;++i) {
    if ( gdjs.Untitled_32sceneCode.GDGreenButtonObjects1[i].IsClicked((typeof eventsFunctionContext !== 'undefined' ? eventsFunctionContext : undefined)) ) {
        isConditionTrue_0 = true;
        gdjs.Untitled_32sceneCode.GDGreenButtonObjects1[k] = gdjs.Untitled_32sceneCode.GDGreenButtonObjects1[i];
        ++k;
    }
}
gdjs.Untitled_32sceneCode.GDGreenButtonObjects1.length = k;
if (isConditionTrue_0) {
{gdjs.evtTools.runtimeScene.pushScene(runtimeScene, "qwertyuiop");
}{runtimeScene.getGame().getVariables().get("T9").sub(50);
}}

}


{

gdjs.copyArray(runtimeScene.getObjects("RedButton"), gdjs.Untitled_32sceneCode.GDRedButtonObjects1);

let isConditionTrue_0 = false;
isConditionTrue_0 = false;
for (var i = 0, k = 0, l = gdjs.Untitled_32sceneCode.GDRedButtonObjects1.length;i<l;++i) {
    if ( gdjs.Untitled_32sceneCode.GDRedButtonObjects1[i].IsClicked((typeof eventsFunctionContext !== 'undefined' ? eventsFunctionContext : undefined)) ) {
        isConditionTrue_0 = true;
        gdjs.Untitled_32sceneCode.GDRedButtonObjects1[k] = gdjs.Untitled_32sceneCode.GDRedButtonObjects1[i];
        ++k;
    }
}
gdjs.Untitled_32sceneCode.GDRedButtonObjects1.length = k;
if (isConditionTrue_0) {
{gdjs.evtTools.runtimeScene.pushScene(runtimeScene, "qwertyuiop2");
}{runtimeScene.getGame().getVariables().get("T9").sub(100);
}}

}


{

gdjs.copyArray(runtimeScene.getObjects("TransparentButtonWithWhiteYellowBorder"), gdjs.Untitled_32sceneCode.GDTransparentButtonWithWhiteYellowBorderObjects1);

let isConditionTrue_0 = false;
isConditionTrue_0 = false;
for (var i = 0, k = 0, l = gdjs.Untitled_32sceneCode.GDTransparentButtonWithWhiteYellowBorderObjects1.length;i<l;++i) {
    if ( gdjs.Untitled_32sceneCode.GDTransparentButtonWithWhiteYellowBorderObjects1[i].IsClicked((typeof eventsFunctionContext !== 'undefined' ? eventsFunctionContext : undefined)) ) {
        isConditionTrue_0 = true;
        gdjs.Untitled_32sceneCode.GDTransparentButtonWithWhiteYellowBorderObjects1[k] = gdjs.Untitled_32sceneCode.GDTransparentButtonWithWhiteYellowBorderObjects1[i];
        ++k;
    }
}
gdjs.Untitled_32sceneCode.GDTransparentButtonWithWhiteYellowBorderObjects1.length = k;
if (isConditionTrue_0) {
{gdjs.evtTools.runtimeScene.pushScene(runtimeScene, "qwertyuiop22");
}{runtimeScene.getGame().getVariables().get("T9").sub(200);
}}

}


};

gdjs.Untitled_32sceneCode.func = function(runtimeScene) {
runtimeScene.getOnceTriggers().startNewFrame();

gdjs.Untitled_32sceneCode.GDRollingNeroObjects1.length = 0;
gdjs.Untitled_32sceneCode.GDRollingNeroObjects2.length = 0;
gdjs.Untitled_32sceneCode.GDRollingNeroObjects3.length = 0;
gdjs.Untitled_32sceneCode.GDIndustrialPlatformObjects1.length = 0;
gdjs.Untitled_32sceneCode.GDIndustrialPlatformObjects2.length = 0;
gdjs.Untitled_32sceneCode.GDIndustrialPlatformObjects3.length = 0;
gdjs.Untitled_32sceneCode.GDNewSpriteObjects1.length = 0;
gdjs.Untitled_32sceneCode.GDNewSpriteObjects2.length = 0;
gdjs.Untitled_32sceneCode.GDNewSpriteObjects3.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite2Objects1.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite2Objects2.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite2Objects3.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite3Objects1.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite3Objects2.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite3Objects3.length = 0;
gdjs.Untitled_32sceneCode.GDCoinObjects1.length = 0;
gdjs.Untitled_32sceneCode.GDCoinObjects2.length = 0;
gdjs.Untitled_32sceneCode.GDCoinObjects3.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite4Objects1.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite4Objects2.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite4Objects3.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite5Objects1.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite5Objects2.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite5Objects3.length = 0;
gdjs.Untitled_32sceneCode.GDNewTextObjects1.length = 0;
gdjs.Untitled_32sceneCode.GDNewTextObjects2.length = 0;
gdjs.Untitled_32sceneCode.GDNewTextObjects3.length = 0;
gdjs.Untitled_32sceneCode.GDCat5Objects1.length = 0;
gdjs.Untitled_32sceneCode.GDCat5Objects2.length = 0;
gdjs.Untitled_32sceneCode.GDCat5Objects3.length = 0;
gdjs.Untitled_32sceneCode.GDGreenButtonObjects1.length = 0;
gdjs.Untitled_32sceneCode.GDGreenButtonObjects2.length = 0;
gdjs.Untitled_32sceneCode.GDGreenButtonObjects3.length = 0;
gdjs.Untitled_32sceneCode.GDRedButtonObjects1.length = 0;
gdjs.Untitled_32sceneCode.GDRedButtonObjects2.length = 0;
gdjs.Untitled_32sceneCode.GDRedButtonObjects3.length = 0;
gdjs.Untitled_32sceneCode.GDTransparentButtonWithWhiteYellowBorderObjects1.length = 0;
gdjs.Untitled_32sceneCode.GDTransparentButtonWithWhiteYellowBorderObjects2.length = 0;
gdjs.Untitled_32sceneCode.GDTransparentButtonWithWhiteYellowBorderObjects3.length = 0;

gdjs.Untitled_32sceneCode.eventsList3(runtimeScene);

return;

}

gdjs['Untitled_32sceneCode'] = gdjs.Untitled_32sceneCode;
